Project

General

Profile

Bug #10961

basemap toolkit is out of date

Added by Maarten Sneep 9 months ago. Updated 7 months ago.

Status:
Closed
Priority:
High
Assignee:
Target version:
-
Start date:
08/21/2018
Due date:
% Done:

0%


Description

The basemap toolkit is no longer compatible with matplotlib. For operational use this is not an issue, but to use the plotting routines for research or testing on my workstation a replacement is urgently needed. The desginated replacement is Cartopy: https://scitools.org.uk/cartopy/docs/latest/

  File "/usr/people/sneep/PyCAMA/pycama/src/cama_plot.py", line 137, in main
    preliminary_unvalidated_data=args.preliminary)
  File "/usr/people/sneep/PyCAMA/pycama/src/pycama/CAMA_call.py", line 435, in cama_plot
    if ou.plot(figure, ax=None, resolution='l'):
  File "/usr/people/sneep/PyCAMA/pycama/src/pycama/OutlinePlot.py", line 268, in plot
    m.drawcoastlines()
  File "/usr/lib64/python3.6/site-packages/mpl_toolkits/basemap/__init__.py", line 1861, in drawcoastlines
    self.set_axes_limits(ax=ax)
  File "/usr/lib64/python3.6/site-packages/mpl_toolkits/basemap/__init__.py", line 3180, in set_axes_limits
    limb2 = self.drawmapboundary(linewidth=0)
  File "/usr/lib64/python3.6/site-packages/mpl_toolkits/basemap/__init__.py", line 1623, in drawmapboundary
    fill_color = ax.get_axis_bgcolor()
AttributeError: 'AxesSubplot' object has no attribute 'get_axis_bgcolor'

History

#1 Updated by Maarten Sneep 8 months ago

  • Status changed from New to Resolved

Cartopy is now used from version 0.8.0 onwards.

#2 Updated by Maarten Sneep 7 months ago

  • Status changed from Resolved to Closed

Also available in: Atom PDF